//
//  AppDelegate.m
//  Test
//
//  Created by H&M on 2017/01/06.
//  Copyright © 2017年 DADDY. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"
#import "TwoViewController.h"
@interface AppDelegate ()



@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    //改变信号栏颜色
    [UIApplication sharedApplication].statusBarStyle = UIStatusBarStyleLightContent;
    //初始化
    CGRect rect = [UIScreen mainScreen].bounds;
    //创建一个Window
    self.window = [[UIWindow alloc]initWithFrame:rect];
    self.window.backgroundColor=[UIColor whiteColor];
    //把当前的window作为程序的主window显示出来
    [self.window makeKeyAndVisible];
    
    //创建标签控件
    UITabBarController * tb =[[UITabBarController alloc]init];
    //创建第一个视图
    ViewController * v1 =[[ViewController alloc]init];
    //将视图添加到导航控制器上
    UINavigationController* nav1 =[[UINavigationController alloc]initWithRootViewController:v1];
    //创建标签条按钮
    UITabBarItem *navItem1 = [[UITabBarItem alloc] initWithTitle:@"首页" image:[UIImage imageNamed:@"tab1"]selectedImage:[UIImage imageNamed:@""]];
    //将按钮添加到导航控制上
    nav1.tabBarItem = navItem1;
    
    //
    TwoViewController * v2 =[[TwoViewController alloc]init];
    //将视图添加到导航控制器上
    UINavigationController* nav2 =[[UINavigationController alloc]initWithRootViewController:v2];
    //创建标签条按钮
    UITabBarItem *navItem2 = [[UITabBarItem alloc] initWithTitle:@"名车" image:[UIImage imageNamed:@"tab2"]selectedImage:[UIImage imageNamed:@""]];
    //将按钮添加到导航控制上
    nav2.tabBarItem = navItem2;
    
    //将导航控制器添加到标签条控制起上
    tb.viewControllers = @[nav1,nav2];
    

    //===========================================bar颜色
    tb.tabBar.tintColor=[UIColor whiteColor];
    tb.tabBar.barTintColor=[UIColor colorWithRed:77/255.0f green:223/255.0f blue:215/255.0f alpha:0.3];
    AppDelegate *app = [UIApplication sharedApplication].delegate;
    
    //将标签条控制器设置为根视图
    app.window.rootViewController = tb;
    
    
        return YES;
}


//状态栏颜色
-(UIStatusBarStyle)preferredStatusBarStyle{
    return UIStatusBarStyleLightContent;
}
//禁止横屏
-(NSUInteger)application:(UIApplication *)application supportedInterfaceOrientationsForWindow:(UIWindow *)window
{
    return UIInterfaceOrientationMaskPortrait;
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
}


- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}


- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}


- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}


@end
